ReferenceAPI referenceWorkflows
Apply an available action to a work item
POST
/organizations/{organization_id}/work-items/{work_item_id}/actionstasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128work_item_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/work-items/string/actions" \ -H "Content-Type: application/json" \ -d '{ "action": "APPROVE" }'{ "data": { "active_run_id": "string", "available_actions": [ "APPROVE" ], "completed_at": "string", "created_at": "string", "id": "string", "kind": "QUESTION", "organization_id": "string", "parent_artifact_id": "string", "parent_work_item_id": "string", "phase": "INTAKE", "primary_repository_id": "string", "requested_by_login": "string", "source": "GITHUB", "source_url": "string", "state": "OPEN", "summary": "string", "title": "string", "updated_at": "string", "waiting_reason": "CONTEXT" }}